Ask Your Question
0

Problem with installation in Ubuntu 12.10 Quantal

asked 2012-10-22 22:53:48 -0500

Usbetti gravatar image

Hello! I'm trying to install ros-fuerte-desktop-full in my Ubuntu 12.10. If I add to /etc/apt/sources.list.d/ros-latest.list:

deb http://packages.ros.org/ros/ubuntu quantal main

I get:

Impossible to find ros-fuerte-desktop-full

Instead, if I add to /etc/apt/sources.list.d/ros-latest.list (like in the installation guide):

 deb http://packages.ros.org/ros/ubuntu precise main

I get:

    I seguenti pacchetti hanno dipendenze non soddisfatte:
 ros-fuerte-desktop-full : Dipende: ros-fuerte-nodelet-core (= 1.6.5-s1347135186~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-geometry-tutorials (= 0.1.3-s1348604699~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-orocos-kinematics-dynamics (= 0.2.3-s1347124598~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-filters (= 1.6.0-s1347135144~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-slam-gmapping (= 1.2.7-s1347173499~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-simulator-gazebo (= 1.6.16-s1347170734~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-visualization (= 1.8.14-s1348597795~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-vision-opencv (= 1.8.8-s1349901192~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-perception-pcl (= 1.2.3-s1347169792~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-geometry-experimental (= 0.2.3-s1347135545~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-robot-model-visualization (= 0.1.2-s1347130327~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-common-tutorials (= 0.2.3-s1348604586~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-image-pipeline (= 1.8.5-s1349904529~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-bfl (= 0.1.0-s1347124594~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-diagnostics-monitors (= 1.4.3-s1347134955~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-common-rosdeps (= 1.2.0-s1347123654~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-geometry-visualization (= 0.1.1-s1347141529~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-image-common (= 1.8.0-s1347135209~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-bond-core (= 1.6.3-s1347130095~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-python-qt-binding (= 0.1.9-s1348595568~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-visualization-common (= 1.8.4-s1347130647~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-physics-ode (= 1.8.0-s1347123681~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-driver-common (= 1.4.0-s1347139831~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-executive-smach (= 1.2.0-s1347135552~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-stage (= 1.6.6-s1347135364~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-dynamic-reconfigure (= 1.4.2-s1347130094~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-image-transport-plugins (= 1.8.2-s1349904795~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-xacro (= 1.6.1-s1347130592~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-robot-model (= 1.8.1-s1347135356~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-bullet (= 2.79-s1347124531~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-pluginlib (= 1.8.0-s1347130240~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-geometry (= 1.8.2-s1347130162~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-visualization-tutorials (= 0.6.3-s1348599593~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-executive-smach-visualization (= 1.0.2-s1347140656~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-laser-pipeline (= 1.4.4-s1347170493~precise) ma non sta per essere installato
                           Dipende: ros-fuerte-robot-model-tutorials (= 0.1.2-s1347123686~precise) ma ...
(more)
edit retag flag offensive close merge delete

Comments

Not sure about that, but I remember first updating my Ubuntu to 12.04 from 11.10. Usually ROS doesn't catch up so fast with the versions of ubuntu. I would suggest updating a couple of month after the release of the new version.

nios gravatar image nios  ( 2012-10-22 23:02:20 -0500 )edit

@nios is right. There is no ros for 12.10 yet.

Lorenz gravatar image Lorenz  ( 2012-10-22 23:15:51 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
3

answered 2012-10-23 04:38:24 -0500

Victor_ocv2 gravatar image

updated 2012-10-23 04:39:15 -0500

There is no ros for Ubuntu 12.10. As far as I have read, there might be support for ubuntu 12.10 when ROS Groovy is out. The scheduled data is 15 Nov, if I am not wrong.

See

http://answers.ros.org/question/46446/ros-packpages-scheduled-date-for-ubuntu-1210-quantal/

and

http://answers.ros.org/question/44823/ros-and-ubuntu-1210-quantal-working/

for more details if you can not wait for the official release.

edit flag offensive delete link more

Comments

1

Groovy had been released with support for Quantal.

tfoote gravatar image tfoote  ( 2013-01-14 15:53:44 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2012-10-22 22:53:48 -0500

Seen: 703 times

Last updated: Oct 23 '12